Subject: Re: bug#60788: [PATCH] services: Add vnstat-service-type.

From: Maxim Cournoyer <[email-masked]>
Date: Wed, 08 Feb 2023 22:34:51 -0500

Hi Bruno,

Bruno Victal <[email-masked]> writes:

> * gnu/services/monitoring.scm (vnstat-service-type): New variable.
> * doc/guix.texi (Monitoring Services): Document it.
> ---
>  doc/guix.texi               | 240 ++++++++++++++++++-
>  gnu/services/monitoring.scm | 451 ++++++++++++++++++++++++++++++++++++
>  2 files changed, 689 insertions(+), 2 deletions(-)

Two remaining comments from me:

1. I'd normalize all the configuration field names to lowercase, so
max-BW and use-UTC? would become max-bw and use-utc?, for example.

2. I'd add a simple example vnstat usage example to the manual.

With this done, I think it should be good to go!

-- 
Thanks,
Maxim